{% extends "customers/service_plan_orders.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load i18n %}
{% load active_tag %}

{% block title %}Nueva Orden de Servicio{% endblock %}


{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
  	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.number %}">#{{ service.number }}</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-plan-orders' slug=service.number %}">Orden de Servicio</a></li>
    <li class="breadcrumb-item active">Nueva</li>
  </ol>
  <!-- end breadcrumb -->

   <!-- begin page-header -->
   <h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
   <!-- end page-header -->
	  
   <ul class="nav nav-pills mb-2">
		<li class="nav-item {% add_active request 'service-detail' %}">
		  <a href="{% url 'service-detail' slug=service.number %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-network-detail' %}">
		  <a href="{% url 'service-network-detail' slug=service.number %}" class="nav-link">
			<span class="d-sm-none">Red</span>
			<span class="d-sm-block d-none">Red</span>
		  </a>
		</li>
		<!--
		<li class="nav-item {% add_active request 'service-calls' %}">
		  <a href="{% url 'service-calls' slug=service.number %}" class="nav-link">
			<span class="d-sm-none">Registro de Llamadas</span>
			<span class="d-sm-block d-none">Registro de Llamadas</span>
		  </a>
		</li>
		-->
		<li class="nav-item {% add_active request 'service-gallery' %}">
		  <a href="{% url 'service-gallery' slug=service.number %}" class="nav-link">
			<span class="d-sm-none">Galería</span>
			<span class="d-sm-block d-none">Galería</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-documents' %}">
		  <a href="{% url 'service-documents' slug=service.number %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-extras' %}">
		  <a href="{% url 'service-extras' slug=service.number %}" class="nav-link">
			<span class="d-sm-none">Prefacturación</span>
			<span class="d-sm-block d-none">Prefacturación</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-plan-orders' %}">
		  <a href="{% url 'service-plan-orders' slug=service.number %}" class="nav-link active">
			<span class="d-sm-none">Orden de Servicio</span>
			<span class="d-sm-block d-none">Orden de Servicio</span>
		  </a>
		</li>
        <li class="nav-item {% add_active request 'service-configuration' %}">
			<a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Configuración</span>
				<span class="d-sm-block d-none">Configuración</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-billing' %}">
        <a href="{% url 'service-billing' service.slug %}" class="nav-link">
          <span class="d-sm-none">Estado de Cuenta servicio</span>
          <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
        </a>
      </li> 
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta cliente</span>
				<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
			</a>
		</li>
	  </ul>


	  <!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Orden de Servicio</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
<form class="form-horizontal" method="post" enctype="multipart/form-data">
  {% csrf_token %}

  {% for field in form %}
    <div class="form-group row m-b-15">
      <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
      <div class="col-sm-9">
	{% render_field field class="form-control m-b-5" %}

	{% for error in field.errors %}
  <small class="f-s-12 text-danger">{{ error }}</small>
	{% endfor %}
      </div>
    </div>
  {% endfor %}

  <input type="submit" value="Ver disponibilidad" class="btn btn-primary" id="upload-button">
  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
</form>

	<div tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" id="upload-modal" class="modal fade bs-example-modal-sm" style="display: none;">
          <div role="document" class="modal-dialog modal-sm">
            <div class="modal-content">
              <div class="modal-header">
                <h4 id="myLargeModalLabel" class="modal-title">Búsqueda en progreso</h4>
              </div>
              <div class="modal-body">
                <p>La búsqueda de disponibilidad puede tardar unos minutos. Por favor, espere.</p>
		<div class="loading-demo">
		  <div class="loader-inner pacman">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
		  </div>
		</div>
              </div>
              <div class="modal-footer">
              </div>
            </div>
          </div>
        </div>


      </div>
      <!-- end panel-body -->
    </div>
    <!-- end panel -->
  </div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->

{% endblock %}



{% block pageleveljs %}
<script type="text/javascript" src="{% static 'theme/plugins/jquery.easy-pie-chart/dist/jquery.easypiechart.min.js' %}"></script>
<script>
  $("#upload-button").click(function(e){
      if ($("#id_kind").val() != ""){
    $("#upload-modal").modal();
	  
      }
  })

  $("#esp-billing").easyPieChart({barColor:"#9b59b6",trackColor:"#ecf0f1",scaleColor:!1,scaleLength:0,lineCap:"round",lineWidth:10,size:140,animate:{duration:2e3,enabled:!0}})
  $("#esp-billing-no").easyPieChart({barColor:"#9b59b6",trackColor:"#ecf0f1",scaleColor:!1,scaleLength:0,lineCap:"round",lineWidth:10,size:140,animate:{duration:2e3,enabled:!0}})
</script>
{% endblock %}
